Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.lib
Class MultiTest.SetupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javatest.lib.MultiTest.SetupException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MultiTest

    public static class MultiTest.SetupException

extends java.lang.Exception

This exception is thrown when a problem occurs initializing the test. It may also be used to indicate that the test is not applicable in the current circumstances and should not be run.

See Also:
  Serialized Form

Constructor Summary
`MultiTest.SetupException(java.lang.String s)` Construct a new SetupException object that signals failure with a corresponding message.

Method Summary
`boolean` | `isPassed()` Determines whether this SetupException signals failure or not.
`static MultiTest.SetupException` | `notApplicable(java.lang.String msg)` Creates a SetupException object which indicates that this test is not applicable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiTest.SetupException

    public MultiTest.SetupException(java.lang.String s)

  Construct a new SetupException object that signals failure with a corresponding message.

  Parameters:
    `s` - the string containing a comment

Method Detail

### notApplicable

    public static MultiTest.SetupException notApplicable(java.lang.String msg)

  Creates a SetupException object which indicates that this test is not applicable. The cases when it is needed are rare, so please think twice whether you really need it.

  Parameters:
    `msg` - a detail string, explaining why the test is "not applicable".
  Returns:
    an exception object that indicates the test should not be run because it is not applicable.

### isPassed

    public boolean isPassed()

  Determines whether this SetupException signals failure or not.

  Returns:
    true if and only if the test is not applicable and should be deemed to have "passed, by default".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.